Subject: Re: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: Sean Sieger <[email-masked]>
Date: Wed, 29 Dec 2010 15:12:02 -0500

On Wed, Dec 29, 2010 at 1:05 PM, Eli Zaretskii <[email-masked]> wrote:

> I downloaded libpng 1.4.5, the latest version, built it, and the
> pretest binary indeed can display PNG images using that.  However, the
> library name is libpng14.dll, which is not in image-library-alist;
> adding it there would be a bad idea due to incompatibilities between
> 1.2.x and 1.4.x versions.
>
> I will next try to find a way to tweak our PNG-related code to be able
> to use either version of the shared libraries, in the hope that this
> is possible.  If not, we will have some hard decisions to make.
>
> P.S. Building libpng on Windows is very easy (there's a MinGW specific
> Makefile in the distro).

Right?  Yeah, remember I when I had first started building those
weekly binaries, someone noticed that they were considerably
bigger compressed files ... or some such.  Anyway, I had built
all of the new image dll's and built the weekly Emacs and I
think, a pretest or a release ... probably release, right?  And it
didn't go over well because of licensing.  I took 'em all out and
used only the freshest headers.  That's when that started ...
with making the new libxpm and so on. Sorry for making the
buuug.